Subject: Re: PINE-INFO digest 183

From: Norm Szcyrek <[email-masked]>
Date: Wed, 10 Dec 1997 16:21:29 -0500 (EST)

Environment: SunOS Release 5.5 Version Generic (Solaris 2.4)
C compiler:  gcc version 2.7.2

At the tail end of the build (started with a "./build
CC=/usr/local/bin/gcc sol" ; I also tried substituting gso for sol, but
with no better results).  The error messages I received at the end of
the compile said: 
-=-=-=
signals.c: In function `posix_signal':
signals.c:1066: storage size of `new_action' isn't known
signals.c:1066: storage size of `old_action' isn't known
signals.c: In function `posix_sigunblock':
signals.c:1083: `sigset_t' undeclared (first use this function)
signals.c:1083: (Each undeclared identifier is reported only once
signals.c:1083: for each function it appears in.)
signals.c:1083: parse error before `sig_mask'
signals.c:1085: `sig_mask' undeclared (first use this function)
gmake: *** [signals.o] Error 1

Links to executables are in bin directory:
./build: size: not found
Done
# 
-=-=-=
Does anyone have any suggestions as to what I should try and change/do
next?  Only pico and pilot were successfully compiled during this run.

virtually,

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
|  Norm Szcyrek - Systems Analyst/GIS Specialist                          |
|  Landscape Analysis and Application, Natural Resources Canada           |
|  Canadian Forest Service, Sault Sainte Marie, Ontario, Canada           |
|  email:  [email-masked]	                          |
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=